> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1devicegetstate



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Device//swagger/v1/swagger.json post /api/v1/device/getState
openapi: 3.0.0
info:
  title: NDS.Services.Device
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Device/
security: []
paths:
  /api/v1/device/getState:
    post:
      tags:
        - Device
      operationId: Device_GetState
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetDeviceStateRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDeviceStateResult'
components:
  schemas:
    GetDeviceStateRequest:
      type: object
      additionalProperties: false
      properties:
        DeviceId:
          type: string
    GetDeviceStateResult:
      type: object
      additionalProperties: false
      properties:
        DeviceId:
          type: string
        DeviceType:
          type: string
        LastSeenDate:
          type: string
          format: date-time
          nullable: true
        LedData:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/LedState'
        SensorData:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/SensorState'
    LedState:
      type: object
      additionalProperties: false
    SensorState:
      type: object
      additionalProperties: false
      properties:
        isOccupied:
          type: boolean

````